package com.fjhx.jxst.entity.sales.vo;

import com.fjhx.customer.entity.customer.po.CustomerUser;
import com.fjhx.jxst.entity.sales.po.SalesContract;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 销售合同列表查询返回值实体
 *
 * @author
 * @since 2023-05-16
 */
@Getter
@Setter
public class SalesContractVo extends SalesContract {

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 销售合同明细
     */
    private List<SalesContractDetailsVo> contractDetailsList;

    /**
     * 客户用户列表
     */
    List<CustomerUser> customerUserList;

    /**
     * 客户开户行
     */
    private String customerBank;
    /**
     * 客户行号
     */
    private String customerSwiftCode;
    /**
     * 客户银行账号（卡号）
     */
    private String customerAccountNumber;
    /**
     * 客户国家名称
     */
    private String buyCountryName;
    /**
     * 客户省名称
     */
    private String buyProvinceName;
    /**
     * 客户市名称
     */
    private String buyCityName;

    /**
     * 客户详细地址
     */
    private String buyAddress;

    /**
     * 买方税号
     */
    private String buyDutyParagraph;

    /**
     * 卖方公司名称
     */
    private String sellCorporationName;
    /**
     * 卖方公司电话
     */
    private String sellCorporationNumber;
    /**
     * 卖方税号
     */
    private String sellTaxationCode;

}
