package com.fjhx.mes.entity.production.vo;

import com.fjhx.mes.entity.production.po.ProductionTask;
import com.fjhx.mes.entity.production.po.ProductionTaskDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 生产任务列表查询返回值实体
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
public class ProductionTaskVo extends ProductionTask {

    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品id
     */
    private Long productId;

    /**
     * 生产任务负责人名称
     */
    private String personLiableName;

    /**
     * 待排程数
     */
    private BigDecimal remainingQuantity;
    /**
     * 生产计划编号
     */
    private String productionPlanCode;

    /**
     * 生产任务明细列表
     */
    private List<ProductionTaskDetailVo> productionTaskDetailList;

    /**
     * 产品规格
     */
    private String productSpec;
}
